"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var test_util_1 = require("../test.util");
var generator_nej_dependencies_as_commonjs_1 = require("./generator-nej-dependencies-as-commonjs");
describe('generatorNejDependenciesAsCommonjs', function () {
    it('generatorNejDependenciesAsCommonjs is function', function () {
        expect(generator_nej_dependencies_as_commonjs_1.generatorNejDependenciesAsCommonjs).toBeInstanceOf(Function);
    });
    it('依赖转换正确', function () {
        var dependencies = [
            { rawSource: '', source: './base/util', moduleType: 'javascript', name: 'util' },
            { rawSource: '', source: './styles/style.css', moduleType: 'text', name: 'style' },
            { rawSource: '', source: './template/template.html', moduleType: 'text', name: 'template' },
            { rawSource: '', source: './template/template1.html', moduleType: 'regular', name: 'template1' },
            { rawSource: '', source: './data/result.json', moduleType: 'json', name: 'result' },
            { rawSource: '', source: './global/polyfill', moduleType: 'javascript' },
            { rawSource: '', source: './styles/style.css', moduleType: 'text' },
            { rawSource: '', source: './template/template.html', moduleType: 'text' },
            { rawSource: '', source: './template/template1.html', moduleType: 'regular' },
            { rawSource: '', source: './data/result.json', moduleType: 'json' }
        ];
        test_util_1.expectCodeEqual(test_util_1.generatorCode(generator_nej_dependencies_as_commonjs_1.generatorNejDependenciesAsCommonjs(dependencies)), "\n            const util = require(\"./base/util\");\n            const style = require(\"./styles/style.css\");\n            const template = require(\"./template/template.html\");\n            const template1 = require(\"./template/template1.html\");\n            const result = require(\"./data/result.json\");\n            require(\"./global/polyfill\")\n            require(\"./styles/style.css\")\n            require(\"./template/template.html\")\n            require(\"./template/template1.html\")\n            require(\"./data/result.json\")\n        ");
    });
});
