"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var test_util_1 = require("../test.util");
var generator_nej_dependencies_1 = require("./generator-nej-dependencies");
describe('generatorNejInjects', function () {
    it('generatorNejInjects is function', function () {
        expect(generator_nej_dependencies_1.generatorNejDependencies).toBeInstanceOf(Function);
    });
    it('依赖转换正确', function () {
        var dependencies = [
            { rawSource: '', source: './base/util', moduleType: 'javascript', name: 'util' },
            { rawSource: '', source: './styles/style.css', moduleType: 'text', name: 'style' },
            { rawSource: '', source: './template/template.html', moduleType: 'text', name: 'template' },
            { rawSource: '', source: './template/template1.html', moduleType: 'regular', name: 'template1' },
            { rawSource: '', source: './data/result.json', moduleType: 'json', name: 'result' },
            { rawSource: '', source: './global/polyfill', moduleType: 'javascript' },
            { rawSource: '', source: './styles/style.css', moduleType: 'text' },
            { rawSource: '', source: './template/template.html', moduleType: 'text' },
            { rawSource: '', source: './template/template1.html', moduleType: 'regular' },
            { rawSource: '', source: './data/result.json', moduleType: 'json' }
        ];
        test_util_1.expectCodeEqual(test_util_1.generatorCode(generator_nej_dependencies_1.generatorNejDependencies(dependencies)), "\n            import util from \"./base/util\";\n            import style from \"./styles/style.css\";\n            import template from \"./template/template.html\";\n            import template1 from \"./template/template1.html\";\n            import result from \"./data/result.json\";\n            import \"./global/polyfill\";\n            import \"./styles/style.css\";\n            import \"./template/template.html\";\n            import \"./template/template1.html\";\n            import \"./data/result.json\";\n        ");
    });
});
